<?php 
class Cultivo{
	private $nome; 
	private $ph; 
	private $adubo;
	private $distancia;
	private $temperatura; 
	private $estacao;
	private $duracao;
	private $mudas;
	private $con;

	public function __construct(){

	}

	public function conectar(){
		$this->con=mysqli_connect("localhost","root","minas","bdsuahorta");
		if(!$this->con){
			//Caso ocorra um erro, exive uma mensagem com o erro
			die("Problemas com a conexão");
		}
	}

	public function desconectar(){
		$this->con->close();
	}

	public function verificar($nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao, $mudas){
		if(!empty($nome) && !empty($ph) && !empty($adubo) && !empty($distancia) && !empty($temperatura) && !empty($estacao) && !empty($duracao) && !empty($mudas)){
			return true;
		}
		else{
			return false;
		}
	}

	public function cadastrar($nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao, $mudas){
		$resp = $this->verificar($nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao, $mudas);

		if($resp == true){
			$this->conectar();	

			$stm = $this->con->prepare("insert into cultivos values(null,?, ?, ?, ?, ?, ?, ?, ?)");

			$stm->bind_param("ssssssss", $nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao, $mudas);
			$resp = $stm->execute();
			$stm->close();
			$this->desconectar();
		}

		return $resp;
	}

	public function exibeDados(){
		$retorno = "<h2>Não há Cultivos cadastrados!</h2>";

		$this->conectar();

		$sql = "select * from cultivos";

		$dados = $this->con->query($sql);

		if($dados->num_rows > 0){
			$tabela = '<table class="table"
						<tr>
							<thead class="thead-dark">
								<td scope="col"><b>Nome</b></td>
								
							</thead>
						</tr>';
		while($cultivos = $dados->fetch_object())
		{
			$tabela .="<tr>
							<td><a href='relatorio.php'>$cultivos->nome</td>
							<td>Clique para visualizar o relatório</td>
							
						</tr>";
		}
		$tabela .="</table>";

		$dados->close();

		$retorno = $tabela;
		}

		$this->desconectar();

		return $retorno;
	}

	public function exibeRelatorio(){
		$retorno = "<h2>Não há Cultivos cadastrados!</h2>";

		$this->conectar();

		$sql = "select * from cultivos";

		$dados = $this->con->query($sql);

		if($dados->num_rows > 0){
			$tabela = '<table class="table"
						<tr>
							<thead class="thead-dark">
								<td scope="col"><h3><b>Nome</b></h3></td>
								<td scope="col"><b>PH</b></td>
								<td scope="col"><b>Adubo</b></td>
								<td scope="col"><b>Distância</b></td>
								<td scope="col"><b>Temperatura</b></td>
								<td scope="col"><b>Estação</b></td>
								<td scope="col"><b>Duração</b></td>
								<td scope="col"><b>Mudas por metro</b></td>
							</thead>
						</tr>';
		while($cultivos = $dados->fetch_object())
		{
			$tabela .="<tr>
							<td>$cultivos->nome</td>
							<td>$cultivos->ph</td>
							<td>$cultivos->adubo</td>
							<td>$cultivos->distancia</td>
							<td>$cultivos->temperatura</td>
							<td>$cultivos->estacao</td>
							<td>$cultivos->duracao</td>
							<td>$cultivos->mudas</td>
						</tr>";
		}
		$tabela .="</table>";

		$dados->close();

		$retorno = $tabela;
		}

		$this->desconectar();

		return $retorno;
	}
}
?>